%define module	logutils

Name:		python-%{module}
Version:	0.3.5
Release:	%mkrel 9
Summary:	Logging utilities
Group:		Development/Python
License:	BSD
URL:		https://pypi.org/project/logutils
Source0:	https://pypi.io/packages/source/l/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
The logutils package provides a set of handlers for the Python standard
library's logging package.

Some of these handlers are out-of-scope for the standard library, and so
they are packaged here. Others are updated versions which have appeared in
recent Python releases, but are usable with older versions of Python and so
are packaged here.

%package -n	python3-%{module}
Summary:	Logging utilities
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
The logutils package provides a set of handlers for the Python standard
library's logging package.

Some of these handlers are out-of-scope for the standard library, and so
they are packaged here. Others are updated versions which have appeared in
recent Python releases, but are usable with older versions of Python and so
are packaged here.
This is the Python 3 build of %{module}.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

rm doc/Makefile

%build
%py3_build

%install
%py3_install

%check
%define enable_tests_python3 1
%if %{enable_tests_python3}
%{__python3} setup.py test
%endif

%files -n python3-%{module}
%doc README.rst NEWS.txt doc/
%license LICENSE.txt
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.3.5-9.mga9
+ Revision: 1816374
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.3.5-8.mga9
+ Revision: 1783796
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.3.5-7.mga9
+ Revision: 1707395
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.5-6.mga8
+ Revision: 1531946
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.3.5-5.mga8
+ Revision: 1441421
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.3.5-4.mga7
+ Revision: 1351623
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.5-3.mga7
+ Revision: 1289177
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.3.5-2.mga7
+ Revision: 1135490
- Rebuild for python 3.6

* Wed Jul 19 2017 daviddavid <daviddavid> 0.3.5-1.mga7
+ Revision: 1125024
- new version: 0.3.5
- update Source URL

* Sun Dec 20 2015 daviddavid <daviddavid> 0.3.3-1.mga6
+ Revision: 912453
- imported package python-logutils

